# example_per_tester_coordinator_afzdo.c File Reference

Packet Error Rate Tester: configures this device to be a Zigbee Coordinator and displays how many messages were received. Uses the AF/ZDO interface. More...

`#include "../HAL/hal.h"`
`#include "../ZNP/znp_interface.h"`
`#include "../ZNP/application_configuration.h"`
`#include "../ZNP/af_zdo.h"`
`#include "znp_example_utils.h"`
`#include "../ZNP/znp_interface_spi.h"`

#define | NUMBER_OF_PACKETS_TO_RECEIVE 1000
signed int | returnValue
unsigned char | znpBuf [100]
unsigned int | packetCounter = 0
void(* | buttonIsr )(void)
void | waitForPackets ()
void | handleButtonPress (void)
int | main (void)

## Detailed Description

Packet Error Rate Tester: configures this device to be a Zigbee Coordinator and displays how many messages were received. Uses the AF/ZDO interface.

This matches example_per_tester_router_afzdo.c Get this running before the router, or else the router won't have anything to join to.

See also:
  http://processors.wiki.ti.com/index.php/Tutorial_on_the_Examples and http://e2e.ti.com/support/low_power_rf/default.aspx

Rev
  624

Author
  dsmith

Date
  2010-07-02 10:58:43 -0700 (Fri, 02 Jul 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

int main | ( | void |  | ) |

Wait until we get on the network. We will receive a ZDO_STATE_CHANGE_IND message whenever the state changes.

void waitForPackets | ( |  | ) |

Waits for messages; increments a counter when a packet was received.

## Variable Documentation

void(* buttonIsr)(void)

function pointer (in hal file) for the function that gets called when a button is pressed

All Data Structures Files Functions Variables Defines